# TEditTextInfo Struct Reference

List of all members.

## Public Attributes
ETextKind | fTextKind
| Text is of kind text, int32, or real32.
real32 | fTextMin
| Minimum value allowed, if we're using numbers.
real32 | fTextMax
| Maximum value allowed, if we're using numbers.
int32 | fTextUnits
| The kind of units our value represents?
int32 | fDatabaseUnits
| What unit should be used given by setvalue and returned by getvalue ?
int32 | fDPI
| The pixel to inches ratio.
uint32 | fMaxStrLength
| Max length our string can be.
int8 | fTextDecimals
| Number of decimals used for real32 values.
MCTextJustification | fJustification
| How we shall justify our text.
real32 | fSpacing
| Spacing between characters.
real32 | fMultiplyBy
| Multiplication coeficient.
boolean | fDoRangeCheck
| Must we check to see if we're between textMin/textMax?
boolean | fUseUnits
| Must we use textUnits to set/get our value?
boolean | fMultiLine
| Does this edit field support multiple lines of text?
boolean | fShowUnit
| when fUseUnits is on, you can hide the unit in the edit text field by setting this to false

## Detailed Description

Stucture used to get and set the options of an edit text (IMFEditTextPart)

## Member Data Documentation

int32 TEditTextInfo::fDatabaseUnits

What unit should be used given by setvalue and returned by getvalue ?

boolean TEditTextInfo::fDoRangeCheck

Must we check to see if we're between textMin/textMax?

int32 TEditTextInfo::fDPI

The pixel to inches ratio.

MCTextJustification TEditTextInfo::fJustification

How we shall justify our text.

uint32 TEditTextInfo::fMaxStrLength

Max length our string can be.

boolean TEditTextInfo::fMultiLine

Does this edit field support multiple lines of text?

real32 TEditTextInfo::fMultiplyBy

Multiplication coeficient.

boolean TEditTextInfo::fShowUnit

when fUseUnits is on, you can hide the unit in the edit text field by setting this to false

real32 TEditTextInfo::fSpacing

Spacing between characters.

int8 TEditTextInfo::fTextDecimals

Number of decimals used for real32 values.

ETextKind TEditTextInfo::fTextKind

Text is of kind text, int32, or real32.

real32 TEditTextInfo::fTextMax

Maximum value allowed, if we're using numbers.

real32 TEditTextInfo::fTextMin

Minimum value allowed, if we're using numbers.

int32 TEditTextInfo::fTextUnits

The kind of units our value represents?

boolean TEditTextInfo::fUseUnits

Must we use textUnits to set/get our value?

The documentation for this struct was generated from the following file:

- IMFEditTextPart.h